#!/bin/sh

if [ -n "$MSG_FILE" ] ; then
	source "$MSG_FILE"
else
	OK='OK'
	CANCEL='Cancel'
fi

if [[ $# > 2 ]] ; then
	echo "Usage: $0 [-i|-a] message" >&2
	exit 1
elif [[ $# == 2 && "$1" != '-i' && "$1" != '-a' ]] ; then
	echo "Usage: $0 [-i|-a] message" >&2
	exit 1
fi

if [[ "$1" == '-i' || "$1" == '-a' ]] ; then
	BTNS="$OK:0"
	MSG="$2"
else
	BTNS="$OK:0,$CANCEL:1"
	MSG="$1"
fi

if [ -n `pymessage --version 2> /dev/null` ] ; then
	if [ "$1" == '-i' ] ; then
		exec pymessage -i "$MSG"
	elif [ "$1" == '-a' ] ; then
		exec pymessage -a "$MSG"
	else
		exec pymessage -b "$OK:OK:0,$CANCEL:cancel:1" -d "$OK" "$MSG"
	fi
elif [ -n `gxmessage --version 2> /dev/null` ] ; then
	exec gxmessage -b "$BTNS" -default "$OK" "$MSG"
elif [ -n `gmessage --version 2> /dev/null` ] ; then
	exec gmessage -b "$BTNS" -default "$OK" "$MSG"
else
	exec xmessage -b "$BTNS" -default "$OK" "$MSG"
fi
